ext/h3/src/scripts/binding_functions.sh in h3-3.4.0 vs ext/h3/src/scripts/binding_functions.sh in h3-3.4.4
- old
+ new
@@ -15,7 +15,8 @@
# This file is used to extract lists of functions that should be provided
# by bindings of the H3 library. It is invoked by the `binding-functions`
# make target and produces a file `binding-functions`.
-SCRIPT_DIR="$(dirname "${BASH_SOURCE[0]}")"
-cat "$SCRIPT_DIR/../src/h3lib/include/h3api.h" | sed -n '/@defgroup/s/.*@defgroup \([A-Za-z0-9_]*\) .*/\1/gp' > binding-functions
+set -eo pipefail
+
+cat "src/h3lib/include/h3api.h" | sed -n '/@defgroup/s/.*@defgroup \([A-Za-z0-9_]*\) .*/\1/gp' > binding-functions